> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute Approved Review Suppression Route

> Execute an approved, stably identified review erasure.



## OpenAPI

````yaml /openapi.json post /api/v1/brands/{brand_id}/brand-intelligence/review-privacy-requests/{request_id}/execute-suppression
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brands/{brand_id}/brand-intelligence/review-privacy-requests/{request_id}/execute-suppression:
    post:
      tags:
        - Brand Reviews
        - Brand Reviews
      summary: Execute Approved Review Suppression Route
      description: Execute an approved, stably identified review erasure.
      operationId: >-
        execute_approved_review_suppression_route_api_v1_brands__brand_id__brand_intelligence_review_privacy_requests__request_id__execute_suppression_post
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Brand Id
        - name: request_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Request Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BrandReviewSuppressionResultResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    BrandReviewSuppressionResultResponse:
      properties:
        status:
          type: string
          const: completed
          title: Status
          default: completed
        request_id:
          type: string
          format: uuid
          title: Request Id
        review_key:
          type: string
          maxLength: 64
          minLength: 64
          title: Review Key
        audit_outcome:
          type: string
          enum:
            - removed
            - already_absent
          title: Audit Outcome
        suppressed_at:
          type: string
          format: date-time
          title: Suppressed At
      type: object
      required:
        - request_id
        - review_key
        - audit_outcome
        - suppressed_at
      title: BrandReviewSuppressionResultResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````